Debian DSA-2107-1 : couchdb - untrusted search path

Medium Nessus Plugin ID 49184

Synopsis

The remote Debian host is missing a security-related update.

Description

Dan Rosenberg discovered that in couchdb, a distributed, fault-tolerant and schema-free document-oriented database, an insecure library search path is used. A local attacker could execute arbitrary code by first dumping a maliciously crafted shared library in some directory, and then having an administrator run couchdb from this same directory.

Solution

Upgrade the couchdb package.

For the stable distribution (lenny), this problem has been fixed in version 0.8.0-2+lenny1.

See Also

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594412

https://www.debian.org/security/2010/dsa-2107

Plugin Details

Severity: Medium

ID: 49184

File Name: debian_DSA-2107.nasl

Version: 1.8

Type: local

Agent: unix

Published: 2010/09/12

Updated: 2018/11/10

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.9

Temporal Score: 5.1

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:debian:debian_linux:couchdb, cpe:/o:debian:debian_linux:5.0

Required KB Items: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2010/09/09

Reference Information

CVE: CVE-2010-2953

BID: 42758

DSA: 2107